---
title: llarp::AsyncFrameDecrypter

---

# llarp::AsyncFrameDecrypter



 [More...](#detailed-description)

## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::shared_ptr< User > | **[User_ptr](Classes/structllarp_1_1AsyncFrameDecrypter.md#using-user-ptr)**  |
| using std::function< void([llarp_buffer_t](Classes/structllarp__buffer__t.md) *, User_ptr)> | **[DecryptHandler](Classes/structllarp_1_1AsyncFrameDecrypter.md#using-decrypthandler)**  |
| using std::function< void(void)> | **[WorkFunc_t](Classes/structllarp_1_1AsyncFrameDecrypter.md#using-workfunc-t)**  |
| using std::function< void(WorkFunc_t)> | **[WorkerFunction_t](Classes/structllarp_1_1AsyncFrameDecrypter.md#using-workerfunction-t)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[Decrypt](Classes/structllarp_1_1AsyncFrameDecrypter.md#function-decrypt)**(User_ptr user) |
| | **[AsyncFrameDecrypter](Classes/structllarp_1_1AsyncFrameDecrypter.md#function-asyncframedecrypter)**(const [SecretKey](Classes/structllarp_1_1SecretKey.md) & secretkey, DecryptHandler h) |
| void | **[AsyncDecrypt](Classes/structllarp_1_1AsyncFrameDecrypter.md#function-asyncdecrypt)**(const [EncryptedFrame](Classes/structllarp_1_1EncryptedFrame.md) & frame, User_ptr u, WorkerFunction_t worker) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| DecryptHandler | **[result](Classes/structllarp_1_1AsyncFrameDecrypter.md#variable-result)**  |
| const [SecretKey](Classes/structllarp_1_1SecretKey.md) & | **[seckey](Classes/structllarp_1_1AsyncFrameDecrypter.md#variable-seckey)**  |
| [EncryptedFrame](Classes/structllarp_1_1EncryptedFrame.md) | **[target](Classes/structllarp_1_1AsyncFrameDecrypter.md#variable-target)**  |

## Detailed Description

```cpp
template <typename User >
struct llarp::AsyncFrameDecrypter;
```

## Public Types Documentation

### using User_ptr

```cpp
using llarp::AsyncFrameDecrypter< User >::User_ptr =  std::shared_ptr<User>;
```


### using DecryptHandler

```cpp
using llarp::AsyncFrameDecrypter< User >::DecryptHandler =  std::function<void(llarp_buffer_t*, User_ptr)>;
```


### using WorkFunc_t

```cpp
using llarp::AsyncFrameDecrypter< User >::WorkFunc_t =  std::function<void(void)>;
```


### using WorkerFunction_t

```cpp
using llarp::AsyncFrameDecrypter< User >::WorkerFunction_t =  std::function<void(WorkFunc_t)>;
```


## Public Functions Documentation

### function Decrypt

```cpp
inline void Decrypt(
    User_ptr user
)
```


### function AsyncFrameDecrypter

```cpp
inline AsyncFrameDecrypter(
    const SecretKey & secretkey,
    DecryptHandler h
)
```


### function AsyncDecrypt

```cpp
inline void AsyncDecrypt(
    const EncryptedFrame & frame,
    User_ptr u,
    WorkerFunction_t worker
)
```


## Public Attributes Documentation

### variable result

```cpp
DecryptHandler result;
```


### variable seckey

```cpp
const SecretKey & seckey;
```


### variable target

```cpp
EncryptedFrame target;
```


-------------------------------

Updated on 2023-01-27 at 23:09:26 +0000